var FieldChangeResult = (function () {
    function FieldChangeResult() {
        this._type = FieldChangeResultType.Unknown;
        this._data = "";
    }
    Object.defineProperty(FieldChangeResult.prototype, "Type", {
        get: function () {
            return this._type;
        },
        set: function (value) {
            this._type = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FieldChangeResult.prototype, "Data", {
        get: function () {
            return this._data;
        },
        set: function (value) {
            this._data = value;
        },
        enumerable: false,
        configurable: true
    });
    return FieldChangeResult;
}());
export { FieldChangeResult };
export var FieldChangeResultType;
(function (FieldChangeResultType) {
    FieldChangeResultType[FieldChangeResultType["UnknownError"] = -5] = "UnknownError";
    FieldChangeResultType[FieldChangeResultType["NoPermissions"] = -4] = "NoPermissions";
    FieldChangeResultType[FieldChangeResultType["WrongData"] = -3] = "WrongData";
    FieldChangeResultType[FieldChangeResultType["ControllerResponseTimeout"] = -2] = "ControllerResponseTimeout";
    FieldChangeResultType[FieldChangeResultType["Failed"] = -1] = "Failed";
    FieldChangeResultType[FieldChangeResultType["Unknown"] = 0] = "Unknown";
    FieldChangeResultType[FieldChangeResultType["Changed"] = 1] = "Changed";
})(FieldChangeResultType || (FieldChangeResultType = {}));
//# sourceMappingURL=FieldChangeResult.js.map