import { ILocalStorageService } from "./ILocalStorageService";
export declare class LocalStorageService implements ILocalStorageService {
    GetServiceName(): string;
    private GetResourceName;
    Remove(inContextOf: new (...params: any[]) => any, objectId: string): void;
    DropStorage(inContextOf: new (...params: any[]) => any): void;
    Save(inContextOf: new (...params: any[]) => any, objectId: string, data: any): void;
    Read<T>(inContextOf: new (...params: any[]) => any, objectId: string): T | null;
}
