import { TypedEvent } from "../../TypedEvent";
import { ChannelConfigurations } from "./IDeviceChannel";
var DeviceChannel = (function () {
    function DeviceChannel() {
        this._number = 0;
        this._name = "";
        this._iconName = "";
        this._states = [];
        this._mode = ChannelConfigurations.Default;
        this._channelGroups = [];
        this._isHidden = false;
        this._availableTasksTypes = [];
        this._availableResponseTypes = [];
        this._onTasksExecutionChangedEvent = new TypedEvent();
    }
    Object.defineProperty(DeviceChannel.prototype, "Number", {
        get: function () {
            return this._number;
        },
        set: function (value) {
            this._number = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "Name", {
        get: function () {
            return this._name;
        },
        set: function (value) {
            this._name = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "IconName", {
        get: function () {
            return this._iconName;
        },
        set: function (value) {
            this._iconName = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "States", {
        get: function () {
            return this._states;
        },
        set: function (value) {
            this._states = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "State", {
        set: function (value) {
            throw new Error("Method not implemented.");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "Mode", {
        get: function () {
            return this._mode;
        },
        set: function (value) {
            this._mode = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "ChannelGroups", {
        get: function () {
            return this._channelGroups;
        },
        set: function (value) {
            this._channelGroups = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "IsHidden", {
        get: function () {
            return this._isHidden;
        },
        set: function (value) {
            this._isHidden = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "AvailableTaskTypes", {
        get: function () {
            return this._availableTasksTypes;
        },
        set: function (value) {
            this._availableTasksTypes = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceChannel.prototype, "AvailableResponseTypes", {
        get: function () {
            return this._availableResponseTypes;
        },
        set: function (value) {
            this._availableResponseTypes = value;
        },
        enumerable: false,
        configurable: true
    });
    DeviceChannel.prototype.OnTasksExecutionChangeEvent = function () {
        return this._onTasksExecutionChangedEvent;
    };
    DeviceChannel.prototype.ExecuteTaskAsync = function (task) {
        throw new Error("Method not implemented.");
    };
    return DeviceChannel;
}());
export { DeviceChannel };
//# sourceMappingURL=DeviceChannel.js.map