import { AccessLevel, Gender, Localization } from "./IUser";
var User = (function () {
    function User() {
        this._guid = "";
        this._cloudGuid = "";
        this._name = "";
        this._surname = "";
        this._phone = "";
        this._email = "";
        this._isAccountOnline = true;
        this._isAccountActive = true;
        this._isAccountBanned = true;
        this._notificationChannels = [];
        this._gender = Gender.Unknown;
        this._accessLevel = AccessLevel.Any;
        this._localization = Localization.En_Us;
    }
    Object.defineProperty(User.prototype, "Guid", {
        get: function () {
            return this._guid;
        },
        set: function (value) {
            this._guid = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "CloudGuid", {
        get: function () {
            return this._cloudGuid;
        },
        set: function (value) {
            this._cloudGuid = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "Name", {
        get: function () {
            return this._name;
        },
        set: function (value) {
            this._name = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "Surname", {
        get: function () {
            return this._surname;
        },
        set: function (value) {
            this._surname = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "Phone", {
        get: function () {
            return this._phone;
        },
        set: function (value) {
            this._phone = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "AccessLevel", {
        get: function () {
            return this._accessLevel;
        },
        set: function (value) {
            this._accessLevel = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "Email", {
        get: function () {
            return this._email;
        },
        set: function (value) {
            this._email = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "IsAccountOnline", {
        get: function () {
            return this._isAccountOnline;
        },
        set: function (value) {
            this._isAccountOnline = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "IsActive", {
        get: function () {
            return this._isAccountActive;
        },
        set: function (value) {
            this._isAccountActive = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "IsBanned", {
        get: function () {
            return this._isAccountBanned;
        },
        set: function (value) {
            this._isAccountBanned = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "NotificationChannels", {
        get: function () {
            return this._notificationChannels;
        },
        set: function (value) {
            this._notificationChannels = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "Gender", {
        get: function () {
            return this._gender;
        },
        set: function (value) {
            this._gender = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "Localization", {
        get: function () {
            return this._localization;
        },
        set: function (value) {
            this._localization = value;
        },
        enumerable: false,
        configurable: true
    });
    return User;
}());
export { User };
//# sourceMappingURL=User.js.map